{* Smarty *}

{literal}
<script type="text/javascript">
  function RepairEdit(com,grid){
    var VarCountSelectedRows = $('.trSelected',grid).length;
    if(0 == VarCountSelectedRows){
      DialogStandartMessageOpen('error', 'Вам необходимо выделить запись!');
    }
    else if(1 == VarCountSelectedRows){
      var VarStr = '';
      //VarStr = $('.trSelected',grid).attr('id');
      VarId = $('.trSelected',grid).attr('id').replace("row","");
      $.ajax({
        async: false,
        timeout: 3000,
        type: 'POST',
        url: "{/literal}{$MS_SP->Sp_PathTop}{$MS_SP->Sp_PathToSite}/AjaxServer/RepairEdit.ajax.php{literal}",
        data: {
          UrlIdEdit: VarId
        },
        success: function(answ){
          $("#RepairAdd").html(answ);
        }
      });
      $("#RepairAdd").dialog({
        title: "Редактировать ремонт.",
        autoOpen: true,
        width: 740,
        resizable: true,
        modal: true,
        buttons: {
          "Закрыть": function() {
            $(this).dialog("close");
          }
        }
      });
    }
    else{
      DialogStandartMessageOpen('error', 'Неизвестная ошибка!');
    }
  }

  function RepairDel(com,grid){
    var VarCountSelectedRows = $('.trSelected',grid).length;
    if(0 == VarCountSelectedRows){
      DialogStandartMessageOpen('error', 'Вам необходимо выделить запись!');
    }
    else if(0 < VarCountSelectedRows){
      var VarStr = '';
      $('.trSelected',grid).each(function() { VarStr = ($(this).attr('id')) + '|' + VarStr });
      $(function() {
        $("#DialogConfirmMessageText").html('Вы уверены что хотите удалить запись?');
        $("#DialogConfirmMessage").dialog({
          title: "Удаление!",
          resizable: false,
          height:180,
          modal: true,
          buttons: {
            'Да': function() {
              $.ajax({
                async: false,
                timeout: 3000,
                type: "POST",
                url: "{/literal}{$MS_SP->Sp_PathTop}{$MS_SP->Sp_PathToSite}/AjaxServer/RepairDel.ajax.php{literal}",
                data: {
                    UrlStr: VarStr
                },
                success: function(answ){
                  var AnswObj = eval('(' + answ + ')');
                  if("undefined" == typeof(AnswObj["error"])){
                    $("#flexRepair").flexReload();
                    DialogStandartMessageOpen('message', AnswObj["message"]);
                  }
                  else{
                    DialogStandartMessageOpen('error', AnswObj["error"]);
                  }
                }
              });
              $(this).dialog("close");
            },
            'Нет': function() {
              $(this).dialog("close");
            }
          }
        });
      });
    }
    else{
      DialogStandartMessageOpen('error', 'Неизвестная ошибка!');
    }
  }
</script>
{/literal}

<table id="flexRepair" style="display:none;"><tr><td></td></tr></table>

{literal}
<script type="text/javascript">
  $("#flexRepair").flexigrid({
    url: "{/literal}{$MS_SP->Sp_PathTop}{$MS_SP->Sp_PathToSite}/AjaxServer/RepairForOperatorsList.ajax.php{literal}",
    dataType: "json",
    colModel : [
      {display: "№ ремонта", name : "repair_id", width : 50, sortable : true, align: "left"},
      {display: "№ заявки", name : "demands_id", width : 50, sortable : true, align: "left"},
      {display: "Статус", name : "repairstatus_name", width : 80, sortable : true, align: "left"},
      {display: "Наименование", name : "svt_name", width : 70, sortable : false, align: "left"},
      {display: "Инв. №", name : "svt_invnum", width : 50, sortable : true, align: "left"},
      {display: "Вид работ", name : "repair_content", width : 100, sortable : true, align: "left"},
      {display: "Поставщик услуг", name : "organiz_name", width : 70, sortable : true, align: "left"},
      {display: "Сумма", name : "repair_summa", width : 50, sortable : true, align: "right"},
      {display: "№ платежного документа", name : "repair_numdoc", width : 70, sortable : true, align: "left"},
      {display: "Дата платежного документа", name : "repair_numdocdate", width : 70, sortable : true, align: "left"},
      {display: "Сист. инженер", name : "users_fio", width : 100, sortable : true, align: "left"},
      {display: "Дата нач. ремонта", name : "repair_date_b", width : 80, sortable : true, align: "left"},
      {display: "Дата оконч. ремонта", name : "repair_date_e", width : 80, sortable : true, align: "left"}
    ],
//    buttons : [
//      {name: 'Добавить', bclass: 'add', onpress : RepairAdd},
//      {name: 'Редактировать', bclass: 'edit', onpress : RepairEdit}
//      {name: 'Просмотр', bclass: 'select', onpress : RepairSelect},
//      {name: 'В ремонт', bclass: 'repair', onpress : RepairAdd}
//{/literal}
//      {if isset($smarty.session.SessionAuth.SvtAdmin.reg) && 1 eq $smarty.session.SessionAuth.SvtAdmin.reg}
//{literal}
//      ,{separator: true},
//       {name: 'Удалить', bclass: 'delete', onpress : RepairDel}
//{/literal}
//      {/if}
//{literal}
//    ],
    searchitems : [
      {display: "Номер ремонта", name : "repair_id", isdefault: true},
      {display: "Номер заявки", name : "demands_id"},
      {display: "Поставщик услуг", name : "organiz_name"},
      {display: "№ платежного документа", name : "repair_numdoc"},
      {display: "Заявка от", name : "users_fio"}
    ],
    sortname: "repairstatus_order, repair_id",
    sortorder: "desc",
    title: "Ремонты",
    usepager: true,
    pagetext: "Страница",
    outof: "из",
    findtext: "Искать",
    errormsg: "Нет соединения",
    pagestat: "Отображается с {from} по {to} из {total} записей",
    pagetext: "Страница",
    procmsg: "Идет запрос, подождите пожалуйста ...",
    nomsg: "Нет записей",
    singleSelect: true,
    nowrap: false,
    useRp: true,
    rp: 100,
    rpOptions: [10,100,250,500,1000],
    width: 900,
    height: 265,
    params:[
      {name:'svt_id', value: "{/literal}{$smarty.get.svt_id}{literal}"}
    ]
  });

  $(function(){
    $("div.sDiv").css('display','block');
  });
</script>
{/literal}

<div id="RepairAdd" style="display:none;"></div>